<template>
    <div>
        <ul class="flex flex-col md:flex-row mb-4 mx-auto text-center md:text-left" role="tablist">
            <li v-for="(tab, index) in tabs"
                class="px-4 py-2 transition-all border-b-0 md:border-b-2 border-neutral-400 text-neutral-600"
                :class="{ 'border-b-2 border-primary-500 text-gray-900' : tab.isActive }">
                <button
                    v-text="tab.title"
                    class="focus:outline-none"
                    role="tab"
                    :aria-selected="tab.isActive"
                    @click="activeTab = tab"></button>
            </li>
        </ul>
            <slot></slot>
    </div>
</template>

<script>
    export default {
        name: "TabsComponent",
        data() {
            return {
                tabs: [],
                activeTab: null
            }
        },
        mounted() {
            this.tabs = this.$children;
            this.setInitialActiveTab();
        },
        watch: {
            activeTab(activeTab) {
                this.tabs.map(tab => (tab.isActive = tab == activeTab));
            }
        },
        methods: {
            setInitialActiveTab() {
                this.activeTab = this.tabs.find(tab => tab.active) || this.tabs[0];
            }
        }
    }
</script>
